## ssreflect 1.3pl2

=== test/Makefile ===
MAKEFLAGS := -r

.SUFFIXES:

.PHONY: clean all config tags install

COQMAKEFILE := Makefile.coq
COQMAKE := +$(MAKE) -f $(COQMAKEFILE)

all: $(COQMAKEFILE)
	$(COQMAKE) all

$(COQMAKEFILE) config:
	$(COQBIN)coq_makefile -f Make  -o $(COQMAKEFILE)

clean: $(COQMAKEFILE)
	$(COQMAKE) clean
	$(RM) -rf $(COQMAKEFILE)

tags:
	$(COQBIN)coqtags `find . -name \*.v`

install:

%: Makefile.coq
	$(COQMAKE) $@
