## ssreflect 1.2+dfsg

=== debian/changelog ===
ssreflect (1.2+dfsg-6) unstable; urgency=low

  * Rebuild against OCaml 3.11.2

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Jul 2010 13:41:07 +0200

ssreflect (1.2+dfsg-5) unstable; urgency=low

  * Rebuild with Coq 8.2pl2
  * debian/control:
    - replace Conflicts by Breaks
    - bump Standards-Version to 3.9.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Jul 2010 15:19:10 +0200

ssreflect (1.2+dfsg-4) unstable; urgency=low

  * Rebuild with OCaml 3.11.2
  * Bump Standards-Version to 3.8.4 (no changes)
  * Update watch file

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Feb 2010 10:30:30 +0100

ssreflect (1.2+dfsg-3) unstable; urgency=low

  * debian/control:
    - add libssreflect-ocaml-dev binary package
    - put *ocaml* packages in ocaml section
    - libssreflect-ocaml enhances coq
  * Switch to dh-ocaml 0.9
  * Switch to format 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Dec 2009 17:30:57 +0100

ssreflect (1.2+dfsg-2) unstable; urgency=low

  * Use -R when invoking coq_makefile to avoid warnings and need of
    explicit exclusion of ssreflect path; set it to user-contrib/Ssreflect

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Sep 2009 19:18:26 +0200

ssreflect (1.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #508468)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Aug 2009 23:41:27 +0200
