=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/coq/coqvars.mk
include /usr/share/ocaml/ocamlvars.mk

export COQTOP := $(COQ_STDLIB_DIR)
export COQLIB := $(COQ_STDLIB_DIR)
export COQBIN := /usr/bin/

%:
	+dh --with ocaml $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	coq_makefile -f Make -o Makefile -R src Ssreflect -R theories Ssreflect

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) all
	$(MAKE) html

.PHONY: override_dh_auto_install
override_dh_auto_install:

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean
	rm -Rf Makefile html

.PHONY: override_dh_gencontrol
override_dh_gencontrol:
	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"
