=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://www.msr-inria.inria.fr/Projects/math-components/index_html .*/ssreflect-(.*)\.tgz
