## ssreflect 1.3pl1

=== debian/changelog ===
ssreflect (1.3pl1-5build1) precise; urgency=low

  * Rebuild for new OCaml library ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 12 Nov 2011 00:07:58 +0000

ssreflect (1.3pl1-5) unstable; urgency=low

  * Recompile with OCaml 3.12.1 (no changes)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Nov 2011 06:30:00 +0100

ssreflect (1.3pl1-4) unstable; urgency=low

  * Build theories only when explicitly asked (fixes FTBFS on armel as
    a side-effect)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 24 Apr 2011 14:44:33 +0200

ssreflect (1.3pl1-3) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 21 Apr 2011 13:59:00 +0200

ssreflect (1.3pl1-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 31 Mar 2011 10:52:00 +0200

ssreflect (1.3-1) experimental; urgency=low

  * New upstream release, compatible with Coq 8.3:
    - remove 0001-Build-as-a-plugin.patch
    - add 0001-Fix-tests-Make.patch
    - this version is under CeCILL-B only; update debian/copyright
      accordingly
  * Bump Standards-Version to 3.9.1 (no changes)
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Tue, 15 Mar 2011 08:47:47 +0100

ssreflect (1.2+dfsg-7) unstable; urgency=low

  * Rebuild against camlp5 6.02.1
  * Bump versioned build-dependency to libcoq-ocaml-dev to ease camlp5
    transition

 -- Stéphane Glondu <glondu@debian.org>  Tue, 22 Feb 2011 11:22:15 +0100
