=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~),
- coq (>= 8.2.pl1+dfsg-4~),
- libcoq-ocaml-dev,
+ coq (>= 8.3),
+ libcoq-ocaml-dev (>= 8.3),
  dh-ocaml (>= 0.9~),
  camlp5 (>= 5.12-2~),
  ocaml-best-compilers,
  ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Section: math
 Homepage: http://www.msr-inria.inria.fr/Projects/math-components
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ssreflect.git
