## ssreflect 1.3pl2

=== debian/changelog ===
ssreflect (1.3pl2-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 22 Nov 2011 07:16:04 +0100
