=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: ssreflect
-Priority: extra
+Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
