=== debian/changelog ===
ssreflect (1.3pl4-1) unstable; urgency=low

  * New upstream release
  * Put debian/copyright in format 1.0
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Sat, 09 Jun 2012 09:35:40 +0200

ssreflect (1.3pl2-4) unstable; urgency=medium

  * Fix compilation with camlp5 6.05 and coq 8.3pl4

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Apr 2012 16:43:46 +0200

ssreflect (1.3pl2-3) unstable; urgency=low

  * Recompile with camlp5 6.04 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Mar 2012 08:29:13 +0100

ssreflect (1.3pl2-2) unstable; urgency=low

  * Rebuild with Coq 8.3pl3
    - cherry-pick patch from coq-contrib to fix FTBFS with Coq 8.3pl3

 -- Stéphane Glondu <glondu@debian.org>  Sun, 25 Dec 2011 17:28:19 +0100
