=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  camlp5 (>= 5.12-2~),
  ocaml-best-compilers,
  ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: math
 Homepage: http://www.msr-inria.inria.fr/Projects/math-components
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ssreflect.git
