## ssreflect 1.4

=== Makefile ===
--- 
+++ 
@@ -4,18 +4,15 @@
 
 .SUFFIXES:
 
-.PHONY: clean all tags install test
+.PHONY: clean all tags install
 
-VERSION := $(shell grep 'let ssrversion' src/ssreflect.ml | cut -d \" -f 2)
+VERSION := $(shell grep 'let ssrversion' src/ssreflect.ml4 | cut -d \" -f 2)
 COQMAKEFILE := Makefile.coq
 COQMAKE := +$(MAKE) -f $(COQMAKEFILE)
 
 all: $(COQMAKEFILE)
 	mkdir -p bin
 	$(COQMAKE) all
-
-test:
-	$(MAKE) -C test/ all
 
 $(COQMAKEFILE): Make
 	$(COQBIN)coq_makefile -f Make  > $(COQMAKEFILE)
@@ -27,7 +24,6 @@
 	$(COQMAKE) install
 
 clean:
-	$(MAKE) -C test/ clean
 	-$(COQMAKE) clean
 	rm -f $(COQMAKEFILE)
 	rm -rf ssreflect-$(VERSION) ssreflect-$(VERSION).tar.gz
@@ -36,11 +32,13 @@
 dist:
 	# VERSION is computed reading src/ssreflect.ml, line let ssrversion
 	rm -rf ssreflect-$(VERSION)
-	svn export . ssreflect-$(VERSION)
+	svn export . ssreflect-$(VERSION) || \
+		git archive --format tar HEAD . --prefix ssreflect-$(VERSION)/ | tar -x
 	# files in the svn, but not meant to be part of the release
 	rm ssreflect-$(VERSION)/description 
 	rm ssreflect-$(VERSION)/src/Makefile
 	rm ssreflect-$(VERSION)/NOTICE
+	rm -rf ssreflect-$(VERSION)/doc/ ssreflect-$(VERSION)/test/
 	# checking for spurious or out of sync .v
 	for X in ssreflect-$(VERSION)/theories/*.v; do\
 	  if ! grep -q `basename $$X` ssreflect-$(VERSION)/Make; then\
@@ -53,7 +51,7 @@
 	  fi;\
 	done
 	# handling of NOTICE: All rights reserved -> released under XYZ
-	for X in `find ssreflect-$(VERSION)/ -name \*.v -o -name \*.ml`; do\
+	for X in `find ssreflect-$(VERSION)/ -name \*.v -o -name \*.mli -o -name \*.ml4`; do\
 		( head -1 $$X | grep -q 'All rights reserved' ) || \
 			echo "warning: `basename $$X` with no reserved"\
 		       		"copyrights";\
@@ -75,6 +73,7 @@
 	tar -xzf ssreflect-$(VERSION).tar.gz -C test-dist-static
 	tar -xzf ssreflect-$(VERSION).tar.gz -C test-dist-dynamic
 	sed -i 's/^#//' test-dist-static/ssreflect-$(VERSION)/Make
-	make -C test-dist-static/ssreflect-$(VERSION) all test
-	make -C test-dist-dynamic/ssreflect-$(VERSION) all test
+	make -C test-dist-static/ssreflect-$(VERSION) all test & P1=$$!; \
+		make -C test-dist-dynamic/ssreflect-$(VERSION) all test & P2=$$!; \
+		wait $$P1 && wait $$P2
 	rm -rf test-dist-static test-dist-dynamic
