=== debian/changelog ===
ssreflect (1.4-2) unstable; urgency=low

  * Bump debhelper compat level to 8
  * Bump Standards-Version to 3.9.4
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 May 2013 13:36:48 +0200

ssreflect (1.4-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 Sep 2012 16:45:50 +0200
