=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
- coq (>= 8.3),
- libcoq-ocaml-dev (>= 8.3),
+ debhelper (>= 8),
+ coq (>= 8.4),
+ libcoq-ocaml-dev (>= 8.4),
  dh-ocaml (>= 0.9~),
  camlp5 (>= 5.12-2~),
  ocaml-best-compilers,
  ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: math
 Homepage: http://www.msr-inria.inria.fr/Projects/math-components
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ssreflect.git
