=== debian/changelog ===
ssreflect (1.5~rc1-3) unstable; urgency=medium

  * Recompile with coq 8.4pl3
  * Bump Standards-Version to 3.9.5 (no changes)
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Jan 2014 08:53:40 +0100

ssreflect (1.5~rc1-2) unstable; urgency=low

  * Upload to unstable
  * Update Homepage

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Dec 2013 08:28:06 +0100

ssreflect (1.5~rc1-1) experimental; urgency=low

  * New upstream release
  * Update Vcs-*
  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Aug 2013 22:11:00 +0200
