=== debian/changelog ===
ssreflect (1.5-3build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 21:47:11 -0600

ssreflect (1.5-3) unstable; urgency=medium

  * Recompile with OCaml 4.02.3

 -- Stéphane Glondu <glondu@debian.org>  Wed, 14 Oct 2015 11:42:57 +0200

ssreflect (1.5-2) unstable; urgency=medium

  * Recompile with coq 8.4pl4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 30 Jul 2014 10:21:09 +0200

ssreflect (1.5-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 13 Mar 2014 13:25:52 +0100
