=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
  dh-ocaml (>= 0.9~),
  camlp5 (>= 5.12-2~),
  ocaml-best-compilers,
- ocaml-nox (>= 3.11.1-3~)
-Standards-Version: 3.9.4
+ ocaml-nox (>= 4)
+Standards-Version: 3.9.5
 Section: math
-Homepage: http://www.msr-inria.inria.fr/Projects/math-components
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ssreflect.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ssreflect.git
+Homepage: http://www.msr-inria.fr/projects/mathematical-components/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ssreflect.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ssreflect.git
 
 Package: libssreflect-ocaml
 Section: ocaml
