## ssreflect 1.6

=== debian/changelog ===
ssreflect (1.6-1) unstable; urgency=medium

  * Adding myself as co-maintainer.
  * Update upstream version to 1.6

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 30 Aug 2016 16:02:06 +0200
