=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ssreflect
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Stéphane Glondu <glondu@debian.org>
+Uploaders: Stéphane Glondu <glondu@debian.org>, Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends:
  debhelper (>= 8),
  coq (>= 8.4),
@@ -12,7 +12,7 @@
  ocaml-nox (>= 4)
 Standards-Version: 3.9.5
 Section: math
-Homepage: http://www.msr-inria.fr/projects/mathematical-components/
+Homepage: https://math-comp.github.io/math-comp/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ssreflect.git
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ssreflect.git
 
@@ -53,7 +53,7 @@
  libssreflect-ocaml (>= ${source:Version}),
  coq-${F:CoqABI},
  ${misc:Depends}
-Provides: ssreflect
+Provides: ssreflect, libmathcomp-coq
 Description: small scale reflection library for Coq (theories)
  The name Ssreflect stands for "small scale reflection", a style of
  proof that evolved from the computer-checked proof of the Four Colour
@@ -69,8 +69,7 @@
    robust proof scripts, and is in fact independent from the "reflection"
    proof style. It is implemented as a linkable extension to the Coq
    system.
- * A set of Coq libraries that provide core "reflection-oriented"
-   theories for basic combinatorics (roughly: arithmetic, lists, and
-   finite sets).
+ * A comprehensive set of Coq libraries covering topics as combinatorics
+   and algebra.
  .
  This package installs the full Ssreflect distribution.
