=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,14 @@
 
 PACKAGES := $(shell dh_listpackages)
 
-INSTALL_DIR := $(CURDIR)/debian/tmp/usr/lib/coq/user-contrib/Ssreflect
+INSTALL_DIR := $(CURDIR)/debian/tmp/usr/lib/coq/user-contrib/mathcomp
 
 # The following must be kept in sync with d/libssreflect-ocaml*.install.in
-PLUGIN_TARGETS := theories/ssreflect.cma
+PLUGIN_TARGETS := ssreflect.cma
 ifeq ($(OCAML_NATDYNLINK),yes)
-  PLUGIN_TARGETS += theories/ssreflect.cmxs
+  PLUGIN_TARGETS += ssreflect.cmxs
 endif
-EXTRA_FILES := src/ssrmatching.cmi src/ssreflect.cmi
+EXTRA_FILES := ssrmatching.cmi ssreflect.cmi
 
 %:
 	+dh $@ --with ocaml
@@ -31,15 +31,17 @@
 override_dh_auto_install:
 ifeq ($(findstring libssreflect-coq,$(PACKAGES)),)
 # Express build: only plugins
-	$(MAKE) Makefile.coq
-	$(MAKE) -f Makefile.coq $(PLUGIN_TARGETS)
+	$(MAKE) -C mathcomp Makefile.coq
+	$(MAKE) -C mathcomp -f Makefile.coq $(PLUGIN_TARGETS)
 	install -d $(INSTALL_DIR)
-	install -m 644 $(PLUGIN_TARGETS) $(EXTRA_FILES) $(INSTALL_DIR)
+	cd mathcomp; \
+		install -m 644 $(PLUGIN_TARGETS) $(EXTRA_FILES) $(INSTALL_DIR)
 else
 # Full build
-	$(MAKE)
-	$(MAKE) install DSTROOT=$(CURDIR)/debian/tmp
-	$(MAKE) -f Makefile.coq html
+	$(MAKE) -C mathcomp
+	$(MAKE) -C mathcomp install DSTROOT=$(CURDIR)/debian/tmp
+	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/libssreflect-coq/html
+	cp -r htmldoc $(CURDIR)/debian/tmp/html
 endif
 
 .PHONY: override_dh_install
