=== debian/changelog ===
ssreflect (1.6.1-3build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:41:34 +0200

ssreflect (1.6.1-3) unstable; urgency=medium

  * Recompile with OCaml 4.05.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 09 Oct 2017 10:43:03 +0200

ssreflect (1.6.1-2) unstable; urgency=medium

  * Fix build-arch target 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 30 Dec 2016 11:39:11 +0100

ssreflect (1.6.1-1) unstable; urgency=medium

  * New upstream release 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 27 Dec 2016 16:10:53 +0000
