=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Stéphane Glondu <glondu@debian.org>, Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends:
  debhelper (>= 8),
- coq (>= 8.4),
+ coq (>= 8.6),
  libcoq-ocaml-dev (>= 8.4),
  dh-ocaml (>= 0.9~),
  camlp5 (>= 5.12-2~),
