=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,11 @@
 INSTALL_DIR := $(CURDIR)/debian/tmp/usr/lib/coq/user-contrib/mathcomp
 
 # The following must be kept in sync with d/libssreflect-ocaml*.install.in
-PLUGIN_TARGETS := ssreflect.cma
+PLUGIN_TARGETS := ssreflect_plugin.cmo
 ifeq ($(OCAML_NATDYNLINK),yes)
-  PLUGIN_TARGETS += ssreflect.cmxs
+  PLUGIN_TARGETS += ssreflect_plugin.cmxs
 endif
-EXTRA_FILES := ssrmatching.cmi ssreflect.cmi
+EXTRA_FILES := ssreflect.cmi ssreflect_plugin.cmi
 
 %:
 	+dh $@ --with ocaml
