## ssreflect 1.9.0+dfsg

=== debian/changelog ===
ssreflect (1.9.0+dfsg-2) unstable; urgency=medium

  * Recompile with OCaml 4.08.1

 -- Stéphane Glondu <glondu@debian.org>  Fri, 15 Nov 2019 10:26:00 +0100

ssreflect (1.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    Repack upstream (remove docs/htmldoc/js/ and docs/javascripts/).
  * Build-depends: minimal coq version 8.7, according to opam file.
  * Standards-Version 4.4.0 (no change)
  * debian/libssreflect-coq.docs: ChangeLog => CHANGELOG.md

 -- Ralf Treinen <treinen@debian.org>  Tue, 20 Aug 2019 09:47:51 +0200

ssreflect (1.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version. This fixes a FTBFS with coq 8.9.0 (closes: #919461)
    Repack upstream (remove docs/htmldoc/js/)
  * Update debian/watch to github
  * Update Vcs-* to salsa
  * Standards-Version 4.3.0
    - https in format string of debian/copyright
  * d/rules: fix installation of htmldocs
  * Drop packages libssreflect-ocaml[-dev] as the plugin is now included in
    the coq package.
  * d/libssreflect-coq.docs: adjust pathnames of files
  * d/copyright: drop short paragraph at first occurrence of CeCILL-B
  * Build-depend on debhelper-compat (=12)
    - use dh_missing (instead of dh_install) with --fail-missing
  * No more compilation with ocaml:
    - dropped build-dependencies on ocaml stuff
    - dropped --with-ocaml flag to dh and usage of ocamlvars.mk
  * Updated short and long description. Thanks to Enrico Tassi.
  * Added an as-installed test, thanks again to Enrico Tassi.
  * Added myself as Uploader.

 -- Ralf Treinen <treinen@debian.org>  Sat, 16 Feb 2019 20:06:49 +0100
