=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/coq/coqvars.mk

export COQTOP := $(COQ_STDLIB_DIR)
export COQLIB := $(COQ_STDLIB_DIR)
export COQBIN := /usr/bin/

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) -C mathcomp

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) -C mathcomp install DSTROOT=$(CURDIR)/debian/tmp

.PHONY: override_dh_missing
override_dh_missing:
	dh_missing --fail-missing

.PHONY: override_dh_gencontrol
override_dh_gencontrol:
	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"
