## ssreflect 1.10.0+dfsg

=== debian/changelog ===
ssreflect (1.10.0+dfsg-2) unstable; urgency=medium

  * Rebuild against coq 8.11.0
  * Standards-version 4.5.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Fri, 06 Mar 2020 21:43:51 +0100

ssreflect (1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * gbp.conf: update import filter
  * debian/rules: explicit targets to make: all, doc
  * debian/libssreflect-coq.docs: doc now built in mathcomp/_build_doc/htmldoc/
  * Add lintian-overrides for doc files whose filenames contain wildcards
  * Standards-Version 4.4.1 (no change)
  * Add build-dependency on lua

 -- Ralf Treinen <treinen@debian.org>  Thu, 05 Dec 2019 23:06:05 +0100
