=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
- coq (>= 8.7)
-Standards-Version: 4.4.0
+ coq (>= 8.7),
+ lua5.1
+Standards-Version: 4.5.0
 Section: math
 Homepage: https://math-comp.github.io/math-comp/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ssreflect
