=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
-	$(MAKE) -C mathcomp
+	$(MAKE) -C mathcomp all doc
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
