=== debian/tests/control ===
Tests: loadssreflect
Depends: @, coq
