## ssreflect 1.11.0

=== debian/changelog ===
ssreflect (1.11.0-2build1) hirsute; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Nov 2020 12:22:03 +0100

ssreflect (1.11.0-2) unstable; urgency=medium

  * Recompile with OCaml 4.11.1 (Closes: #973721)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 04 Nov 2020 07:25:54 +0100

ssreflect (1.11.0-1) unstable; urgency=medium

  * New upstream release
  * Debhelper compatibility level 13:
    -drop override of dh_missing which is no longer needed
  * Set Rules-Requires-Root to no

 -- Ralf Treinen <treinen@debian.org>  Fri, 11 Sep 2020 08:32:09 +0200
