=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
  Enrico Tassi <gareuselesinge@debian.org>,
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  coq (>= 8.7),
  lua5.1
+Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Section: math
 Homepage: https://math-comp.github.io/math-comp/
