## ssreflect 1.12.0

=== debian/changelog ===
ssreflect (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update test loadssreflect.
  * Standards-version 4.5.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sat, 02 Jan 2021 15:39:29 +0100
