=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  coq (>= 8.7),
  lua5.1
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: math
 Homepage: https://math-comp.github.io/math-comp/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ssreflect
