=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,6 @@
 override_dh_auto_install:
 	$(MAKE) -C mathcomp install DSTROOT=$(CURDIR)/debian/tmp
 
-.PHONY: override_dh_missing
-override_dh_missing:
-	dh_missing --fail-missing
-
 .PHONY: override_dh_gencontrol
 override_dh_gencontrol:
 	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"
