## ssreflect 1.13.0

=== debian/changelog ===
ssreflect (1.13.0-2) unstable; urgency=medium

  * Source-only upload to trigger rebuild. (Closes: #1003797)

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jan 2022 08:57:04 +0100

ssreflect (1.13.0-1) unstable; urgency=medium

  * Remove E.Tassi from uploaders (Closes: #995558).
  * Add myself as uploader.
  * New upstream release.
  * Bump standards-version to 4.6.0.
  * Update d/copyright to upstream (dropped javascript files).
  * Bump d/watch to version 4.
  * Complete the libssreflect-coq lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 22 Nov 2021 17:25:47 +0100
