=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>,
- Enrico Tassi <gareuselesinge@debian.org>,
- Ralf Treinen <treinen@debian.org>
+           Julien Puydt <jpuydt@debian.org>,
+           Ralf Treinen <treinen@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  coq (>= 8.7),
  lua5.1
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: math
 Homepage: https://math-comp.github.io/math-comp/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ssreflect
